package com.zcloud.service.majordangersource.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.majordangersource.MonitoringDeviceSensorMapper;
import com.zcloud.service.majordangersource.MonitoringDeviceSensorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：监测设备传感器
 * 作者：luoxiaobao
 * 时间：2022-03-31
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class MonitoringDeviceSensorServiceImpl implements MonitoringDeviceSensorService{

	@Autowired
	private MonitoringDeviceSensorMapper monitoringdevicesensorMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		monitoringdevicesensorMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		monitoringdevicesensorMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		monitoringdevicesensorMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return monitoringdevicesensorMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return monitoringdevicesensorMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return monitoringdevicesensorMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		monitoringdevicesensorMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return monitoringdevicesensorMapper.findByIds(pd);
	}

}

